libGLcore , oder auch das Problem mit NVidia

Dieses Thema: "libGLcore , oder auch das Problem mit NVidia" im Forum "RedHat,Fedora & CentOS" wurde erstellt von DaSPi, 02.06.2003.

  1. DaSPi

    DaSPi daspi is daspi

    Dabei seit:
    04.02.2003
    Beiträge:
    57
    Zustimmungen:
    0
    Ort:
    Planet Earth <NRW>
    Hallo. so, für das jetzt kommende problem habe ich etwas länger recherchieren müssen, um überhaupt zu verstehen was sache ist.
    Um das problem erts mal kurz zusammen zu fassen: ich habe andauernd ein problem mit der datei libGLcore.so.x.x.x. immer wenn ich mir ein rpm installieren will, das anscheinend diese datei (libGLcore gehört zum NVidida Treiber-Packet) für die grafische Oberfäche (z.B. bei kgpg, knetscan o.ä.) brauch, sagt der rpm manager das er ein depend. problem hat, obwohl die datei an ihrem rechtmäßigen platz (/usr/lib/libGLcore.so.1.0.4363) ist. So wie es aussieht haben im Internet auch viele andere Leute Probleme mit dieser Datei. Lösungsvorschläge lassen jedoch auf sich warten, oder ich habe keine Gefunden. Das Problem besteht jetzt "irgendwie" darin, das mehre Softlinks im Verzeichnis /usr/X11R6/lib/modules/extensions/ anscheinend auf die falsche libGLcorexxx im Ordner /usr/lib/ oder so ähnlich verweisen. Hier gingen die Meinungen auseinander, leider.

    Neues NVidia-FAQ für 2.75: Das NVidia-Treiber-Paket wird automatisch installiert in 2.75. Als root:
    - Erstellen Sie ein Verzeichnis, das Dateien aufnehmen soll, die Sie verschieben werden:
    mkdir /root/XFREE86.BACKUP
    - Kopieren Sie die Dateien /usr/lib/libGL.so, /usr/lib/libGL.so.1 und /usr/lib/libGL.so.1.2.030402 nach /root/XFREE86.BACKUP.
    - Kopieren Sie die Dateien /usr/X11R6/lib/modules/extensions/libGLcore.a und /usr/X11R6/lib/modules/extensions/libglx.a nach /root/XFREE86.BACKUP.
    - Benennen Sie die Dateien mit der Endung .NVIDIA in /usr/X11R6/lib und /usr/X11R6/lib/modules/extensions um, indem Sie die Endung .NVIDIA entfernen.
    - Ändern Sie die Symlinks /usr/X11R6/lib/libGL.so und /usr/X11R6/lib/libGL.so.1 damit sie auf /usr/X11R6/lib/libGL.so.1.0.2880 zeigen.
    - Ändern Sie die Symlinks /usr/X11R6/lib/libGLcore.so und /usr/X11R6/lib/libGLcore.so.1 damit sie auf /usr/X11R6/lib/libGLcore.so.1.0.2880 zeigen.
    - Ändern Sie die Symlinks /usr/X11R6/lib/modules/extensions/libglx.so und /usr/X11R6/lib/modules/extensions/libglx.so.1 damit sie auf /usr/X11R6/lib/modules/extensions/libglx.so.1.0.2880 zeigen.
    - ldconfig ausführen.
    - Editieren Sie die Konfigurationsdatei /etc/X11/XF86Config und ersetzen Sie Driver "nv" durch Driver "nvidia". Sie können den Konfig-Manager dazu nicht benutzen! Und auch noch Zeile 30 auskommentieren: #Load "dri".
    - Ausloggen und gleichzeitig STRG + ALT + BACKSPACE drücken um X neu zu starten

    Die Datei im Verzeichnis /usr/X11R6/lib/modules/extension liglx.so ist bei mir auch passenverlinkt, aber in diesem Verzeichnis habe ich KEINE libGLcore.so.1! Is das der Fehler?


    Kann jemand helden? Aber bitte nur ernsthat, und nicht so like: "--force --nodeps Method" => ich weiß, es gibt heir gar keine rpm Packete, sollte nur son Vergleich sein ;-)






    Systeminfos:
    Distri: Red Hat 9
    Grafikkarte: Hercules GeForce GTS PRO II
    Treiber:Linux IA32 v. 1.0-4363
    für Linux Suse/RedHat/Mandrake
     
  2. Anzeige

    Schau dir mal diesen Ratgeber an. Viele Antworten inkl. passender Shell-Befehle!
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Belkira, 02.06.2003
    Belkira

    Belkira Routinier

    Dabei seit:
    18.06.2002
    Beiträge:
    255
    Zustimmungen:
    0
    Ort:
    -
    So? Na, dann zeig doch mal: rpm -qf /usr/lib/libGLcore.so.1.0.4363
     
  4. DaSPi

    DaSPi daspi is daspi

    Dabei seit:
    04.02.2003
    Beiträge:
    57
    Zustimmungen:
    0
    Ort:
    Planet Earth <NRW>
    wenn ich das ausführe, kommt kein ergebnis, als ob er sich aufhängen würde. Wieso das??
     
  5. DaSPi

    DaSPi daspi is daspi

    Dabei seit:
    04.02.2003
    Beiträge:
    57
    Zustimmungen:
    0
    Ort:
    Planet Earth <NRW>
    muss gerade mall das mit den umlauten ändern....
    aber was soll ich jetzt machen, da er mir keine ausgabe bei dem befehl gibt??
     
  6. #5 Belkira, 02.06.2003
    Belkira

    Belkira Routinier

    Dabei seit:
    18.06.2002
    Beiträge:
    255
    Zustimmungen:
    0
    Ort:
    -
    killall -KILL rpm
    rm -f /var/lib/rpm/__db.*
    rpm -vv --rebuilddb
     
  7. DaSPi

    DaSPi daspi is daspi

    Dabei seit:
    04.02.2003
    Beiträge:
    57
    Zustimmungen:
    0
    Ort:
    Planet Earth <NRW>
    Ok. Und jetzt?
     
  8. #7 Belkira, 02.06.2003
    Belkira

    Belkira Routinier

    Dabei seit:
    18.06.2002
    Beiträge:
    255
    Zustimmungen:
    0
    Ort:
    -
    Ja watt? Siehe 15:15.
     
  9. DaSPi

    DaSPi daspi is daspi

    Dabei seit:
    04.02.2003
    Beiträge:
    57
    Zustimmungen:
    0
    Ort:
    Planet Earth <NRW>
    lol: die Datei »/usr/lib/libGLcore.so.1.0.4363« gehört zu keinem Paket. warum steht dann ÜBERALL das diese datei zum nvidia packet gehört??
     
  10. #9 Belkira, 02.06.2003
    Belkira

    Belkira Routinier

    Dabei seit:
    18.06.2002
    Beiträge:
    255
    Zustimmungen:
    0
    Ort:
    -
    Das hatte ich vermutet.

    Was Du nicht als RPM Paket installierst, wird auch nicht in der RPM Datenbank verankert. Darum weiß "rpm" nicht über die vorhandenen Dateien bescheid und berücksichtigt sie auch nicht bei der Auflösung von Abhängigkeiten.
     
  11. DaSPi

    DaSPi daspi is daspi

    Dabei seit:
    04.02.2003
    Beiträge:
    57
    Zustimmungen:
    0
    Ort:
    Planet Earth <NRW>
    das bedeutet dann doch, das ich dieses programm NICHT als RPM installieren kann, sondern mir die sources ziehen muss? oder kennst du ne andere möglichkeit
     
  12. #11 Belkira, 02.06.2003
    Belkira

    Belkira Routinier

    Dabei seit:
    18.06.2002
    Beiträge:
    255
    Zustimmungen:
    0
    Ort:
    -
    Wenn Du 100%-ig weißt, daß die geforderten Dateien auf Deinem System existieren und nur dann, installiere mit --nodeps (nicht mit --force!).

    Alternativ schau Dir an, wie man RPM Pakete erstellt. :)
     
  13. DaSPi

    DaSPi daspi is daspi

    Dabei seit:
    04.02.2003
    Beiträge:
    57
    Zustimmungen:
    0
    Ort:
    Planet Earth <NRW>
    nun gut, dann lieber mit nodeps als nen rpm packet erstellen. vielen dank für die hilfe.
     
Thema:

libGLcore , oder auch das Problem mit NVidia

Die Seite wird geladen...

libGLcore , oder auch das Problem mit NVidia - Ähnliche Themen

  1. rpm-Warnung: "/sbin/ldconfig: /usr/lib/libGLcore.so.1 is not a symbolic link"

    rpm-Warnung: "/sbin/ldconfig: /usr/lib/libGLcore.so.1 is not a symbolic link": Hallo, Seit einiger Zeit bekomme ich bei _jeder_ Installation eines RPMs (auch über smart o. ä.) die im Betreff stehende Warnung angezeigt....
  2. libGLcore.so

    libGLcore.so: Hey, habe folgendes Packete installiert krusader-1.11-1suse81kde31.i386.rpm, nach der Überprüfung der Abhängigkeiten soll obige lib fehlen....
  3. Funktionssuche in C: Emacs oder Vim?

    Funktionssuche in C: Emacs oder Vim?: Hallo, ich muss mir häufig C-Projekte angucken, und dann suche ich bspw., wo eine aufgerufene Funkion definiert oder deklariert (Header) wird....
  4. OpenSuse bietet aktuelles KDE mit LEAP oder Tumbleweed

    OpenSuse bietet aktuelles KDE mit LEAP oder Tumbleweed: OpenSuse bietet zwei neue Images an, die die neuesten KDE-Pakete aus den Git-Repositories enthalten. Die Images basieren auf den Varianten Leap...
  5. Console oder Terminal auf 80x25 einstellen?

    Console oder Terminal auf 80x25 einstellen?: Ich habe ein Fujitsu TX1310-M1 mit SLES11 SP3 installiert. Ich habe in grub Video=640x480 eingestellt. Mit "stty size", bekomme "30 80" und "echo...